SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
FileList.h File Reference
`#include "NativeFeatureIncludes.h"`
`#include "Export.h"`
`#include "DS_List.h"`
`#include "memoryoverride.h"`
`#include "types.h"`
`#include "FileListNodeContext.h"`
`#include "string.h"`

Go to the source code of this file.

## Classes

struct | SLNet::FileListNode
| Represents once instance of a file. More...
class | SLNet::FileListProgress
| Callback interface set with FileList::SetCallback() in case you want progress notifications when FileList::AddFilesFromDirectory() is called. More...
class | SLNet::FLP_Printf
| Implementation of FileListProgress to use RAKNET_DEBUG_PRINTF. More...
class | SLNet::FileList

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Class Documentation

struct SLNet::FileListNode

Represents once instance of a file.

Definition at line 46 of file FileList.h.

Class Members
FileListNodeContext | context | User specific data for whatever, describing this file.
char * | data | File data (may be null if not ready)
BitSize_t | dataLengthBytes | Length of data. May be greater than fileLength if prepended with a file hash.
unsigned | fileLengthBytes | Length of the file.
RakString | filename | Name of the file.
RakString | fullPathToFile | Full path to the file, which may be different than filename.
bool | isAReference | If true, data and dataLengthBytes should be empty. This is just storing the filename.